## org.eclipse.jet.taglib
Class AbstractConditionalTag

    java.lang.Object
      org.eclipse.jet.taglib.AbstractCustomTag
          org.eclipse.jet.taglib.AbstractContainerTag
              org.eclipse.jet.taglib.AbstractConditionalTag

All Implemented Interfaces:
  ConditionalTag, ContainerTag, CustomTag, EmptyTag

    public abstract class AbstractConditionalTag

extends AbstractContainerTag
implements ConditionalTag

Partial implementation of `ConditionalTag`

Constructor Summary
`AbstractConditionalTag()` Construct an instance

Method Summary
`void` `doAfterBody(TagInfo td, JET2Context context, JET2Writer out)` Default version of {#link `ContainerTag.doAfterBody(TagInfo, JET2Context, JET2Writer)` that does nothing.
`void` `doBeforeBody(TagInfo td, JET2Context context, JET2Writer out)` Default version of `ContainerTag.doBeforeBody(TagInfo, JET2Context, JET2Writer)` that does nothing.
`CustomTagKind` `getKind()` Return the kind of the custom tag

Methods inherited from class org.eclipse.jet.taglib.AbstractContainerTag
`doAction, setBodyContent`

Methods inherited from class org.eclipse.jet.taglib.AbstractCustomTag
`getAttribute, getOut, getParent, getRawAttribute, setContext, setOut, setParent, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jet.taglib.ConditionalTag
`doEvalCondition`

Methods inherited from interface org.eclipse.jet.taglib.ContainerTag
`setBodyContent`

Methods inherited from interface org.eclipse.jet.taglib.EmptyTag
`doAction`

Constructor Detail

### AbstractConditionalTag

    public AbstractConditionalTag()

  Construct an instance

Method Detail

### getKind

    public final CustomTagKind getKind()

  Description copied from interface: `CustomTag`
  Return the kind of the custom tag

  Specified by:
    `getKind` in interface `CustomTag`
  Overrides:
    `getKind` in class `AbstractContainerTag`
  Returns:
    the value `CustomTagKind.CONDITIONAL`.
  See Also:
    `CustomTag.getKind()`

### doBeforeBody

    public void doBeforeBody(TagInfo td,
                             JET2Context context,
                             JET2Writer out)
                      throws JET2TagException

  Default version of `ContainerTag.doBeforeBody(TagInfo, JET2Context, JET2Writer)` that does nothing.

  Specified by:
    `doBeforeBody` in interface `ContainerTag`
  Throws:
    `JET2TagException`

### doAfterBody

    public void doAfterBody(TagInfo td,
                            JET2Context context,
                            JET2Writer out)
                     throws JET2TagException

  Default version of {#link `ContainerTag.doAfterBody(TagInfo, JET2Context, JET2Writer)` that does nothing.

  Specified by:
    `doAfterBody` in interface `ContainerTag`
  Throws:
    `JET2TagException`

Copyright 2006 IBM Corporation and others. All Rights Reserved.